Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java	(revision 24724)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/dialogs/OSeaMAction.java	(revision 24737)
@@ -104,14 +104,14 @@
 		panelLights.setVisible(false);
 		panelTop = new PanelTop();
-		panelTop.setBounds(new Rectangle(40, 165, 220, 155));
+		panelTop.setBounds(new Rectangle(40, 165, 220, 160));
 		panelTop.setVisible(false);
 		panelFog = new PanelFog();
-		panelFog.setBounds(new Rectangle(40, 165, 220, 155));
+		panelFog.setBounds(new Rectangle(40, 165, 220, 160));
 		panelFog.setVisible(false);
 		panelRadar = new PanelRadar();
-		panelRadar.setBounds(new Rectangle(40, 165, 220, 155));
+		panelRadar.setBounds(new Rectangle(40, 165, 220, 160));
 		panelRadar.setVisible(false);
 		panelLit = new PanelLit();
-		panelLit.setBounds(new Rectangle(40, 165, 220, 155));
+		panelLit.setBounds(new Rectangle(40, 165, 220, 160));
 		panelLit.setVisible(false);
 	}
@@ -125,24 +125,24 @@
 			shapeIcon = new JLabel(new ImageIcon(getClass().getResource(
 					"/images/Cardinal_Pillar_South.png")));
-			shapeIcon.setBounds(new Rectangle(265, 165, 130, 185));
+			shapeIcon.setBounds(new Rectangle(265, 170, 130, 185));
 			oseamPanel.add(shapeIcon, null);
 			lightIcon = new JLabel(new ImageIcon(getClass().getResource(
 					"/images/Light_White_120.png")));
-			lightIcon.setBounds(new Rectangle(265, 165, 125, 185));
+			lightIcon.setBounds(new Rectangle(265, 170, 125, 185));
 			oseamPanel.add(lightIcon, null);
 			topIcon = new JLabel();
-			topIcon.setBounds(new Rectangle(265, 165, 125, 185));
+			topIcon.setBounds(new Rectangle(265, 170, 125, 185));
 			oseamPanel.add(topIcon, null);
 			reflIcon = new JLabel(new ImageIcon(getClass().getResource(
 					"/images/Radar_Reflector_355.png")));
-			reflIcon.setBounds(new Rectangle(265, 165, 125, 185));
+			reflIcon.setBounds(new Rectangle(265, 170, 125, 185));
 			oseamPanel.add(reflIcon, null);
 			radarIcon = new JLabel(new ImageIcon(getClass().getResource(
 					"/images/Radar_Station.png")));
-			radarIcon.setBounds(new Rectangle(265, 165, 130, 185));
+			radarIcon.setBounds(new Rectangle(265, 170, 130, 185));
 			oseamPanel.add(radarIcon, null);
 			fogIcon = new JLabel(new ImageIcon(getClass().getResource(
 					"/images/Fog_Signal.png")));
-			fogIcon.setBounds(new Rectangle(265, 165, 125, 185));
+			fogIcon.setBounds(new Rectangle(265, 170, 125, 185));
 			oseamPanel.add(fogIcon, null);
 
@@ -248,12 +248,12 @@
 
 			nameLabel = new JLabel();
-			nameLabel.setBounds(new Rectangle(5, 327, 60, 20));
+			nameLabel.setBounds(new Rectangle(5, 329, 60, 20));
 			nameLabel.setText(tr("Name:"));
 			oseamPanel.add(nameLabel, null);
 			nameBox = new JTextField();
-			nameBox.setBounds(new Rectangle(60, 325, 200, 25));
+			nameBox.setBounds(new Rectangle(60, 330, 200, 20));
 			oseamPanel.add(nameBox, null);
 			saveButton = new JButton();
-			saveButton.setBounds(new Rectangle(285, 325, 100, 25));
+			saveButton.setBounds(new Rectangle(285, 330, 100, 20));
 			saveButton.setText(tr("Save"));
 			oseamPanel.add(saveButton, null);
@@ -321,5 +321,5 @@
 			fogButton = new JRadioButton(new ImageIcon(getClass().getResource(
 					"/images/FogButton.png")));
-			fogButton.setBounds(new Rectangle(0, 200, 34, 32));
+			fogButton.setBounds(new Rectangle(0, 205, 34, 32));
 	        fogButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
 			fogButton.setToolTipText(Messages.getString("FogSignalsTip"));
@@ -332,5 +332,5 @@
 			radarButton = new JRadioButton(new ImageIcon(getClass()
 					.getResource("/images/RadarButton.png")));
-			radarButton.setBounds(new Rectangle(0, 235, 34, 32));
+			radarButton.setBounds(new Rectangle(0, 245, 34, 32));
 	        radarButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
 			radarButton.setToolTipText(Messages.getString("RadarTip"));
@@ -343,5 +343,5 @@
 			litButton = new JRadioButton(new ImageIcon(getClass().getResource(
 					"/images/LitButton.png")));
-			litButton.setBounds(new Rectangle(0, 270, 34, 32));
+			litButton.setBounds(new Rectangle(0, 285, 34, 32));
 	        litButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
 			litButton.setToolTipText(Messages.getString("LitTip"));
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java	(revision 24737)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java	(revision 24737)
@@ -0,0 +1,205 @@
+package oseam.panels;
+
+import static org.openstreetmap.josm.tools.I18n.tr;
+
+import javax.swing.BorderFactory;
+import javax.swing.JPanel;
+
+import java.awt.Color;
+import java.awt.Dimension;
+import java.awt.Rectangle;
+import java.awt.Font;
+
+import javax.swing.ButtonGroup;
+import javax.swing.ImageIcon;
+import javax.swing.JLabel;
+import javax.swing.JTextField;
+import javax.swing.JComboBox;
+import javax.swing.JCheckBox;
+import javax.swing.JRadioButton;
+
+import oseam.Messages;
+
+import java.awt.Cursor;
+import java.awt.event.ActionListener;
+
+public class PanelCol extends JPanel {
+
+	private ButtonGroup colourButtons = null;
+	public JRadioButton offButton = null;
+	public JRadioButton whiteButton = null;
+	public JRadioButton redButton = null;
+	public JRadioButton orangeButton = null;
+	public JRadioButton amberButton = null;
+	public JRadioButton yellowButton = null;
+	public JRadioButton greenButton = null;
+	public JRadioButton blueButton = null;
+	public JRadioButton violetButton = null;
+	public JRadioButton blackButton = null;
+
+	public PanelCol() {
+		super();
+		initialize();
+	}
+
+	private void initialize() {
+		this.setLayout(null);
+
+		this.add(getOffButton(), null);
+		this.add(getWhiteButton(), null);
+		this.add(getRedButton(), null);
+		this.add(getOrangeButton(), null);
+		this.add(getAmberButton(), null);
+		this.add(getYellowButton(), null);
+		this.add(getGreenButton(), null);
+		this.add(getBlueButton(), null);
+		this.add(getVioletButton(), null);
+		this.add(getBlackButton(), null);
+		colourButtons = new ButtonGroup();
+		colourButtons.add(whiteButton);
+		colourButtons.add(offButton);
+		colourButtons.add(redButton);
+		colourButtons.add(orangeButton);
+		colourButtons.add(amberButton);
+		colourButtons.add(yellowButton);
+		colourButtons.add(greenButton);
+		colourButtons.add(blueButton);
+		colourButtons.add(violetButton);
+		colourButtons.add(blackButton);
+		ActionListener alColour = new ActionListener() {
+			public void actionPerformed(java.awt.event.ActionEvent e) {
+				offButton.setBorderPainted(offButton.isSelected());
+				whiteButton.setBorderPainted(whiteButton.isSelected());
+				redButton.setBorderPainted(redButton.isSelected());
+				orangeButton.setBorderPainted(orangeButton.isSelected());
+				amberButton.setBorderPainted(amberButton.isSelected());
+				yellowButton.setBorderPainted(yellowButton.isSelected());
+				greenButton.setBorderPainted(greenButton.isSelected());
+				blueButton.setBorderPainted(blueButton.isSelected());
+				violetButton.setBorderPainted(violetButton.isSelected());
+				blackButton.setBorderPainted(blackButton.isSelected());
+			}
+		};
+		offButton.addActionListener(alColour);
+		whiteButton.addActionListener(alColour);
+		redButton.addActionListener(alColour);
+		orangeButton.addActionListener(alColour);
+		amberButton.addActionListener(alColour);
+		yellowButton.addActionListener(alColour);
+		greenButton.addActionListener(alColour);
+		blueButton.addActionListener(alColour);
+		violetButton.addActionListener(alColour);
+		blackButton.addActionListener(alColour);
+	}
+
+	private JRadioButton getOffButton() {
+		if (offButton == null) {
+			offButton = new JRadioButton(new ImageIcon(getClass()
+					.getResource("/images/OffButton.png")));
+			offButton.setBounds(new Rectangle(0, 0, 34, 16));
+	        offButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			offButton.setToolTipText(tr("No colour"));
+		}
+		return offButton;
+	}
+
+	private JRadioButton getWhiteButton() {
+		if (whiteButton == null) {
+			whiteButton = new JRadioButton(new ImageIcon(getClass()
+					.getResource("/images/WhiteButton.png")));
+			whiteButton.setBounds(new Rectangle(0, 16, 34, 16));
+	        whiteButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			whiteButton.setToolTipText(tr("White"));
+		}
+		return whiteButton;
+	}
+
+	private JRadioButton getRedButton() {
+		if (redButton == null) {
+			redButton = new JRadioButton(new ImageIcon(getClass().getResource(
+					"/images/RedButton.png")));
+			redButton.setBounds(new Rectangle(0, 32, 34, 16));
+	        redButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			redButton.setToolTipText(tr("Red"));
+		}
+		return redButton;
+	}
+
+	private JRadioButton getOrangeButton() {
+		if (orangeButton == null) {
+			orangeButton = new JRadioButton(new ImageIcon(getClass()
+					.getResource("/images/OrangeButton.png")));
+			orangeButton.setBounds(new Rectangle(0, 48, 34, 16));
+	        orangeButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			orangeButton.setToolTipText(tr("Orange"));
+		}
+		return orangeButton;
+	}
+
+	private JRadioButton getAmberButton() {
+		if (amberButton == null) {
+			amberButton = new JRadioButton(new ImageIcon(getClass()
+					.getResource("/images/AmberButton.png")));
+			amberButton.setBounds(new Rectangle(0, 64, 34, 16));
+	        amberButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			amberButton.setToolTipText(tr("Amber"));
+		}
+		return amberButton;
+	}
+
+	private JRadioButton getYellowButton() {
+		if (yellowButton == null) {
+			yellowButton = new JRadioButton(new ImageIcon(getClass()
+					.getResource("/images/YellowButton.png")));
+			yellowButton.setBounds(new Rectangle(0, 80, 34, 16));
+	        yellowButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			yellowButton.setToolTipText(tr("Yellow"));
+		}
+		return yellowButton;
+	}
+
+	private JRadioButton getGreenButton() {
+		if (greenButton == null) {
+			greenButton = new JRadioButton(new ImageIcon(getClass()
+					.getResource("/images/GreenButton.png")));
+			greenButton.setBounds(new Rectangle(0, 96, 34, 16));
+	        greenButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			greenButton.setToolTipText(tr("Green"));
+		}
+		return greenButton;
+	}
+
+	private JRadioButton getBlueButton() {
+		if (blueButton == null) {
+			blueButton = new JRadioButton(new ImageIcon(getClass().getResource(
+					"/images/BlueButton.png")));
+			blueButton.setBounds(new Rectangle(0, 112, 34, 16));
+	        blueButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			blueButton.setToolTipText(tr("Blue"));
+		}
+		return blueButton;
+	}
+
+	private JRadioButton getVioletButton() {
+		if (violetButton == null) {
+			violetButton = new JRadioButton(new ImageIcon(getClass()
+					.getResource("/images/VioletButton.png")));
+			violetButton.setBounds(new Rectangle(0, 128, 34, 16));
+	        violetButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			violetButton.setToolTipText(tr("Violet"));
+		}
+		return violetButton;
+	}
+
+	private JRadioButton getBlackButton() {
+		if (blackButton == null) {
+			blackButton = new JRadioButton(new ImageIcon(getClass()
+					.getResource("/images/BlackButton.png")));
+			blackButton.setBounds(new Rectangle(0, 144, 34, 16));
+	        blackButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
+			blackButton.setToolTipText(tr("Black"));
+		}
+		return blackButton;
+	}
+
+}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java	(revision 24724)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java	(revision 24737)
@@ -23,6 +23,10 @@
 public class PanelLit extends JPanel {
 
+	private PanelCol panelCol = null;
+
 	public PanelLit() {
 		super();
+		panelCol = new PanelCol();
+		panelCol.setBounds(new Rectangle(0, 0, 34, 160));
 		initialize();
 	}
@@ -30,4 +34,6 @@
 	private void initialize() {
 		this.setLayout(null);
+		this.add(panelCol, null);
+		panelCol.blackButton.setVisible(false);
 	}
 }
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java	(revision 24724)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java	(revision 24737)
@@ -37,18 +37,10 @@
 	private JRadioButton beaconButton = null;
 	private JRadioButton towerButton = null;
-	private JLabel colourLabel = null;
-	private ButtonGroup colourButtons = null;
-	private JRadioButton whiteButton = null;
-	private JRadioButton redButton = null;
-	private JRadioButton orangeButton = null;
-	private JRadioButton amberButton = null;
-	private JRadioButton yellowButton = null;
-	private JRadioButton greenButton = null;
-	private JRadioButton blueButton = null;
-	private JRadioButton violetButton = null;
-	private JRadioButton blackButton = null;
+	private PanelCol panelCol = null;
 
 	public PanelSpec() {
 		super();
+		panelCol = new PanelCol();
+		panelCol.setBounds(new Rectangle(9, 0, 34, 160));
 		initialize();
 	}
@@ -57,4 +49,5 @@
 		this.setLayout(null);
 
+		this.add(panelCol, null);
 		this.add(getPillarButton(), null);
 		this.add(getSparButton(), null);
@@ -103,49 +96,4 @@
 		towerButton.addActionListener(alShape);
 
-		colourLabel = new JLabel();
-		colourLabel.setBounds(new Rectangle(2, -2, 60, 20));
-		colourLabel.setText(tr("Colour:"));
-		this.add(colourLabel, null);
-		this.add(getWhiteButton(), null);
-		this.add(getRedButton(), null);
-		this.add(getOrangeButton(), null);
-		this.add(getAmberButton(), null);
-		this.add(getYellowButton(), null);
-		this.add(getGreenButton(), null);
-		this.add(getBlueButton(), null);
-		this.add(getVioletButton(), null);
-		this.add(getBlackButton(), null);
-		colourButtons = new ButtonGroup();
-		colourButtons.add(whiteButton);
-		colourButtons.add(redButton);
-		colourButtons.add(orangeButton);
-		colourButtons.add(amberButton);
-		colourButtons.add(yellowButton);
-		colourButtons.add(greenButton);
-		colourButtons.add(blueButton);
-		colourButtons.add(violetButton);
-		colourButtons.add(blackButton);
-		ActionListener alColour = new ActionListener() {
-			public void actionPerformed(java.awt.event.ActionEvent e) {
-				whiteButton.setBorderPainted(whiteButton.isSelected());
-				redButton.setBorderPainted(redButton.isSelected());
-				orangeButton.setBorderPainted(orangeButton.isSelected());
-				amberButton.setBorderPainted(amberButton.isSelected());
-				yellowButton.setBorderPainted(yellowButton.isSelected());
-				greenButton.setBorderPainted(greenButton.isSelected());
-				blueButton.setBorderPainted(blueButton.isSelected());
-				violetButton.setBorderPainted(violetButton.isSelected());
-				blackButton.setBorderPainted(blackButton.isSelected());
-			}
-		};
-		whiteButton.addActionListener(alColour);
-		redButton.addActionListener(alColour);
-		orangeButton.addActionListener(alColour);
-		amberButton.addActionListener(alColour);
-		yellowButton.addActionListener(alColour);
-		greenButton.addActionListener(alColour);
-		blueButton.addActionListener(alColour);
-		violetButton.addActionListener(alColour);
-		blackButton.addActionListener(alColour);
 	}
 
@@ -260,102 +208,3 @@
 	}
 
-	private JRadioButton getWhiteButton() {
-		if (whiteButton == null) {
-			whiteButton = new JRadioButton(new ImageIcon(getClass()
-					.getResource("/images/WhiteButton.png")));
-			whiteButton.setBounds(new Rectangle(0, 16, 52, 16));
-	        whiteButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			whiteButton.setToolTipText(tr("White"));
-		}
-		return whiteButton;
-	}
-
-	private JRadioButton getRedButton() {
-		if (redButton == null) {
-			redButton = new JRadioButton(new ImageIcon(getClass().getResource(
-					"/images/RedButton.png")));
-			redButton.setBounds(new Rectangle(0, 32, 52, 16));
-	        redButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			redButton.setToolTipText(tr("Red"));
-		}
-		return redButton;
-	}
-
-	private JRadioButton getOrangeButton() {
-		if (orangeButton == null) {
-			orangeButton = new JRadioButton(new ImageIcon(getClass()
-					.getResource("/images/OrangeButton.png")));
-			orangeButton.setBounds(new Rectangle(0, 48, 52, 16));
-	        orangeButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			orangeButton.setToolTipText(tr("Orange"));
-		}
-		return orangeButton;
-	}
-
-	private JRadioButton getAmberButton() {
-		if (amberButton == null) {
-			amberButton = new JRadioButton(new ImageIcon(getClass()
-					.getResource("/images/AmberButton.png")));
-			amberButton.setBounds(new Rectangle(0, 64, 52, 16));
-	        amberButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			amberButton.setToolTipText(tr("Amber"));
-		}
-		return amberButton;
-	}
-
-	private JRadioButton getYellowButton() {
-		if (yellowButton == null) {
-			yellowButton = new JRadioButton(new ImageIcon(getClass()
-					.getResource("/images/YellowButton.png")));
-			yellowButton.setBounds(new Rectangle(0, 80, 52, 16));
-	        yellowButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			yellowButton.setToolTipText(tr("Yellow"));
-		}
-		return yellowButton;
-	}
-
-	private JRadioButton getGreenButton() {
-		if (greenButton == null) {
-			greenButton = new JRadioButton(new ImageIcon(getClass()
-					.getResource("/images/GreenButton.png")));
-			greenButton.setBounds(new Rectangle(0, 96, 52, 16));
-	        greenButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			greenButton.setToolTipText(tr("Green"));
-		}
-		return greenButton;
-	}
-
-	private JRadioButton getBlueButton() {
-		if (blueButton == null) {
-			blueButton = new JRadioButton(new ImageIcon(getClass().getResource(
-					"/images/BlueButton.png")));
-			blueButton.setBounds(new Rectangle(0, 112, 52, 16));
-	        blueButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			blueButton.setToolTipText(tr("Blue"));
-		}
-		return blueButton;
-	}
-
-	private JRadioButton getVioletButton() {
-		if (violetButton == null) {
-			violetButton = new JRadioButton(new ImageIcon(getClass()
-					.getResource("/images/VioletButton.png")));
-			violetButton.setBounds(new Rectangle(0, 128, 52, 16));
-	        violetButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			violetButton.setToolTipText(tr("Violet"));
-		}
-		return violetButton;
-	}
-
-	private JRadioButton getBlackButton() {
-		if (blackButton == null) {
-			blackButton = new JRadioButton(new ImageIcon(getClass()
-					.getResource("/images/BlackButton.png")));
-			blackButton.setBounds(new Rectangle(0, 144, 52, 16));
-	        blackButton.setBorder(BorderFactory.createLineBorder(Color.magenta, 2));
-			blackButton.setToolTipText(tr("Black"));
-		}
-		return blackButton;
-	}
-
 }
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java	(revision 24724)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java	(revision 24737)
@@ -24,4 +24,5 @@
 public class PanelTop extends JPanel {
 
+	private PanelCol panelCol = null;
 	private ButtonGroup topButtons = null;
 	private JRadioButton noTopButton = null;
@@ -29,4 +30,6 @@
 	public PanelTop() {
 		super();
+		panelCol = new PanelCol();
+		panelCol.setBounds(new Rectangle(0, 0, 34, 160));
 		initialize();
 	}
@@ -34,4 +37,5 @@
 	private void initialize() {
 		this.setLayout(null);
+		this.add(panelCol, null);
 		this.add(getNoTopButton(), null);
 		topButtons = new ButtonGroup();
@@ -43,5 +47,5 @@
 			noTopButton = new JRadioButton(new ImageIcon(getClass()
 					.getResource("/images/NoTopButton.png")));
-			noTopButton.setBounds(new Rectangle(5, 5, 30, 30));
+			noTopButton.setBounds(new Rectangle(40, 5, 30, 30));
 			noTopButton.setToolTipText(Messages.getString("NorthTip"));
 		}
